Author Topic: [Solved - Bug] 2.0.* Cannot install through extention manager  (Read 2633 times)

tzic

  • Jr. Member
  • **
  • Posts: 59
I get this error message when to trying to install through extention manager in joomla 2.5

        JFolder: :files: Path is not a folder. Path: /var/www/vhosts/XXX.XX/httpdocs/tmp/install_4f62fda6b8230
        JFolder: :folder: Path is not a folder. Path: /var/www/vhosts/XXX.XX/httpdocs/tmp/install_4f62fda6b8230
        JFolder: :files: Path is not a folder. Path: /var/www/vhosts/XXX.XX/httpdocs/tmp/install_4f62fda6b8230
        JInstaller: :Install: Cannot find Joomla XML setup file

All other extentions plugings templates I have installed worked and installed correctly without any errors. The file com_virtuemart.2.0.*.zip uploads normally to tmp folder but then I  get the error message. Tried with 777 permissions but the error persists. I am on a linux server, I use sef urls (disabled them but nothing new happened) and the PHP version is  5.2.6-1+lenny10

Any help would be greatly appreciated

TechnoMage

  • Beginner
  • *
  • Posts: 31
Re: [Bug] 2.0.* Cannot install through extention manager
« Reply #1 on: March 20, 2012, 22:54:17 pm »
Do you unzip it before you try to install that? Due to your description I assume you don't.

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 27777
  • Always on vacation
    • Jenkin Hill Internet
Re: [Bug] 2.0.* Cannot install through extention manager
« Reply #2 on: March 20, 2012, 23:29:27 pm »
I have found several reports of the same error message with different Joomla packages, all on servers with PHP5.2.6 - which had some known bugs. Current standard is to use PHP5.3+ (and PHP6 is already available) so is there any chance you can update the server version?

Edit: I have just seen this one http://www.nonumber.nl/component/kunena/18-nonumber-extension-manager/17722-error-when-installing-v247-on-php-526?ml=1 
Kelvyn

Jenkin Hill Internet,
Lowestoft, Suffolk, UK

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM 3.8.4.10335 on Joomla 3.9.19 PHP 7.3.18

tzic

  • Jr. Member
  • **
  • Posts: 59
Re: [Bug] 2.0.* Cannot install through extention manager
« Reply #3 on: March 21, 2012, 09:32:18 am »
I have found several reports of the same error message with different Joomla packages, all on servers with PHP5.2.6 - which had some known bugs. Current standard is to use PHP5.3+ (and PHP6 is already available) so is there any chance you can update the server version?

Edit: I have just seen this one http://www.nonumber.nl/component/kunena/18-nonumber-extension-manager/17722-error-when-installing-v247-on-php-526?ml=1 

Well, thank you VERY much for the reply. After following the above url I tried to repack the contents into a tar zipped file (according to the suggestion in the mentioned forum) and it worked! I cant figure out the reason for the error though. Case solved, thank you again!

Do you unzip it before you try to install that? Due to your description I assume you don't.

Thank you for your time but replies like this one do not help the user who asks, especially in a very busy forum like this one because they move the reply count from Zero to one or two etc. The volunteers who try to answer questions look for those without replies first.